arx(6)

NAME
arx - Arx Libertatis, a cross-platform port of Arx Fatalis

SYNOPSIS
arx [-hnl] [-d data-dir] [-u user-dir] [-c config-dir] [-g debug-spec]

DESCRIPTION
arx is the main executable of Arx Libertatis, a cross-platform port of the first-person role-playing game Arx Fatalis. You will need the data from the original Arx Fatalis to run the game. See https://arx.vg/data for where you can get it.

OPTIONS SUMMARY

Here is a short summary of the options available in arx. Please refer to the detailed documentation below for a complete description.

Generic options:
     -h --help               Show supported options
     -g --debug LEVELS       Set debug output levels
     --benchmark[=TIMELIMIT] Log loading times and framerates
     --debug-gl[=MODE]       Enable OpenGL debug output
     --override-gl OVERRIDES Override OpenGL extensions

Search path options:
     -n --no-data-dir        Don't automatically detect data directories
     -d --data-dir DIR       Where to find the data files (can be repeated)
     -u --user-dir DIR       Where to store user-specific files
     -c --config-dir DIR     Where to store config files
     -l --list-dirs          List the searched user and data directories

Startup options:
        --loadlevel LEVELID Load a specific level
        --loadsave SAVEFILE Load a specific savegame file
        --loadslot SAVESLOT Load a specific savegame slot
        --skiplogo Skip logos at startup

OPTIONS

--benchmark[=TIMELIMIT]
    Log time taken for startup, loading levels and shutdown, and the minimum, maximum and average framerate. If a TIMELIMIT argument is given, the game will exit after the specified amout of time has been spent rendering normal frames. This time does not include the startup or loading time. Valid values are a number, optionally followed by a unit. Valid units are "ms" (milliseconds), "s" (seconds), "m" (minutes) and "h" (hours). The default unit is milliseconds. This option can be combined with the --loadlevel, --loadsave or --loadslot options to benchmark a specific scene.

-c, --config-dir=DIR
    By default arx will store configuration files in directories specified by the XDG Base Directory Specification. This option overrides the directory where config files are loaded from and saved to.

-d, --data-dir=DIR
    Arx Libertatis will look for data files in directories specified by the XDG Base Directory Specification and in the directory containing the game executable. Besides the system-wide data directory, data files are also loaded from the user directory, which can be set by the --user-dir option. This option adds additional directories to search for data files before the detected system-wide directories, but after the user directory. To override the detected data directories combine it with the --no-data-dir option. The --data-dir option can be repeated to add multiple data directories, in which case they are searched in the order provided. See https://arx.vg/paths and the --list-dirs output for more details. Use arx-install-data(1) to extract and install the required data files from the various different Arx Fatalis setup executables, archives, CDROMs and existing installs.

-g, --debug=LEVELS
    This option can be used to enable debug output for debug builds of Arx Libertatis. For non-debug build, this option is not very useful but recognized for convenience.

--debug-gl[=MODE]
    Control OpenGL context type and debug output from the OpenGL driver. The following modes are possible:

    "enabled" Enable additional error checks in the OpenGL driver and log all reported errors. This is the mode used when --debug-gl is specified with no MODE argument.

    "ignored" Enable only the standard OpenGL error checks required by the standard and ignore all errors.

    "noerror" Tell the OpenGL driver to assume that there will be no errors. Will fall back to "ignored" if not supported.

    "default" Select one of the above modes depending on the build type and enabled features. This is the default when --debug-gl is not used.

-h, --help
    Show a list of the supported options.

-l, --list-dirs
    Show the data, user and config search directories and how they were determined. To adjust the search directories, use the --no-data-dir, --data-dir, --user-dir and --config-dir options.

--loadlevel=LEVELID
    Load a level immediately after startup, without displaying logos or the main menu. LEVELID is the number of the level to be loaded.

--loadsave=SAVEFILE
    Load a save file immediately after startup, without displaying logos or the main menu. SAVEFILE is the path of the save directory or .sav file to be loaded.

--loadslot=SAVESLOT
    Load a save file immediately after startup, without displaying logos or the main menu. SAVESLOT is the index of the save slot to be loaded.

-n, --no-data-dir
    Disables looking for default data directories. Default user and config directories and data directories provided using the --data-dir option are still searched. This option can be used for portable setups where user, config and data files are all in the current directory: arx --no-data-dir --user-dir=. --config-dir=.

--override-gl=OVERRIDES
    Overrides the used OpenGL extensions and features. By default, Arx Libertatis will use all extensions that the driver claims to support except for some that are known to cause issues with certain drivers. This options allows the user to disable additional extensions or re-enable extensions that are by default disabled. It will not make Arx Libertatis attempt to use extensions that the driver does not claim to support. The overrides passed to this option are parsed after, and thus overrride, those in the extension_override setting in the [video] section of cfg.ini which is in turn applied after the built-in driver quirk overrides. All disabled extensions - either by built-in rules or user-supplied overrides are logged. The override string is made up of a series of override tokens separated by whitespace. Supported overrides are:

    "-GL_ext": Disable OpenGL extension GL_ext.

    "+GL_ext": Re-enable OpenGL extension GL_ext if it was disabled by a previous token (including built-in driver quirk rules).

    "GLx.y", "x.y", "GLxy" or "xy": Re-enable extensions part of OpenGL version x.y and disabling all others

    "GLx" or "x": Re-enable extensions part of OpenGL version x.0 and disabling all others

    "+*" or "+": Re-enable all non-core OpenGL extensions

    "-*" or "-" Re-enable extensions part of any known OpenGL version and disabling all others

    Note that the version overrrides (i.e. all except "-GL_ext" and "+GL_ext") fully override the set of allowed extensions and thus make all previous tokens meaningless. In particular, --override-gl="+" will disable both the built-in driver quirk overrides and the extension_override setting while --override-gl="1.5" will disable the use of all optional extensions.

--skiplogo
    Don't display Logo images at startup. Currently this will not skip the intro cutscene.

-u, --user-dir=DIR
    By default arx will store user files (saves, etc.) in directories specified by the XDG Base Directory Specification. This option overrides the directory where user files are loaded from and saved to. Configuration files are not stored in the user directory, but in a separate directory that can be set by the --user-dir option. The user directory will also be used to load data, overwriting resources from the system-wide data directories amd from directories specified by the --data-dir option.

SEE ALSO
arx-install-data(1), arxsavetool(1), arxunpak(1)

BUGS

To view known bugs and report new ones, please visit https://bugs.arx-libertatis.org/.